import { Links } from '../Link';
declare module '../Publication' {
    interface Publication {
        /**
         * Provides navigation to positions in the Publication content that correspond to the locations of
         * page boundaries present in a print source being represented by this EPUB Publication.
         */
        getPageList(): Links | undefined;
        /**
         * Identifies fundamental structural components of the publication in order to enable Reading
         * Systems to provide the User efficient access to them.
         */
        getLandmarks(): Links | undefined;
        getListOfAudioClips(): Links | undefined;
        getListOfIllustrations(): Links | undefined;
        getListOfTables(): Links | undefined;
        getListOfVideoClips(): Links | undefined;
    }
}
